/** @type {import('tailwindcss').Config} */
import defaultTheme from 'tailwindcss/defaultTheme';

module.exports = {
  content: [
    "./src/**/*.{js,jsx,ts,tsx}",
  ],
  theme: {
    extend: {
      colors: {
        charcoal: "#535250",
        oil: "#323232",
        unibaRed: {
          DEFAULT: "#9e2b2f",
          dark: "#762023",
          light: "#c2363b",
          darker: "#541214",
        },
      },
      fontFamily: {
        uksans: ['UK Sans', ...defaultTheme.fontFamily.sans],
        sans: ['Roboto', ...defaultTheme.fontFamily.sans]
      }
    },
    screens: {
      'sm': '0px',
      'md': '768px',
      'lg': '980px',
      'xl': '1200px',
    },
  },
  corePlugins: {
    container: false
  },
  plugins: [
    require('@tailwindcss/forms'),
    function ({ addComponents }) {
      addComponents({
        '.container': {
          maxWidth: '100%',
          '@screen sm': {
            maxWidth: '100%',
          },
          '@screen md': {
            maxWidth: '724px',
          },
          '@screen lg': {
            maxWidth: '940px',
          },
          '@screen xl': {
            maxWidth: '1170px',
          },
        }
      })
    }
  ]
}